> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Delete Collections

Deletes multiple collections in a single operation. Only referrers can bulk delete collections they referred. Requires signature verification.

` DELETE /collections/bulk `

Bulk Delete Collections

Deletes multiple collections in a single operation. Only referrers can bulk delete collections they referred. Requires signature verification.

## Servers

- ` https://createkit.b3.fun ` — Production server

## Request body (required)

Content type: ` application/json `

- ` value `: type ` object ` — Request to delete multiple collections

  - Required fields: ` wallet_address `, ` collections `, ` message `, ` signature `

  - ` wallet_address `: type ` string ` — Referrer wallet address

    - pattern: ` "^0x[a-fA-F0-9]{40}$" `

  - ` collections `: type ` array ` — Array of collection UUIDs or predicted addresses

    - ` array item `: type ` string `

  - ` message `: type ` string ` — Message that was signed

  - ` signature `: type ` string ` — EIP-191 signature of the message

## Responses

### ` 200 ` — Collections deleted successfully

Content type: ` application/json `

- ` value `: type ` object `

  - ` success `: type ` boolean `

    - example: ` true `

  - ` message `: type ` string ` — Success message

### ` 400 ` — Bad Request - Missing required fields

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` success `, ` error `

  - ` success `: type ` boolean `

    - example: ` false `

  - ` error `: type ` string ` — Error message describing what went wrong

### ` 403 ` — Forbidden - Invalid signature

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` success `, ` error `

  - ` success `: type ` boolean `

    - example: ` false `

  - ` error `: type ` string ` — Error message describing what went wrong

### ` 404 ` — Referrer not found

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` success `, ` error `

  - ` success `: type ` boolean `

    - example: ` false `

  - ` error `: type ` string ` — Error message describing what went wrong

## Request examples

### cURL

```curl
curl -X DELETE 'https://createkit.b3.fun/collections/bulk' \
  -H 'Content-Type: application/json' \
  -d '{
  "wallet_address": "string",
  "collections": [
    "string"
  ],
  "message": "string",
  "signature": "string"
}'
```

### JavaScript

```javascript
const response = await fetch('https://createkit.b3.fun/collections/bulk', {
  method: 'DELETE',
  headers: {
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "wallet_address": "string",
    "collections": [
      "string"
    ],
    "message": "string",
    "signature": "string"
  })
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.delete('https://createkit.b3.fun/collections/bulk', json={
  "wallet_address": "string",
  "collections": [
    "string"
  ],
  "message": "string",
  "signature": "string"
})
print(response.json())
```